package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.TeacherFreeTime;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 老师可排课时间表(TeacherFreeTime)表数据库访问层
 *
 * @author zx
 * @since 2022-03-25 10:04:26
 */
public interface TeacherFreeTimeDao extends BaseMapper<TeacherFreeTime> {

    int insertBatch(@Param("entities") List<TeacherFreeTime> entities);

    /**
     * @description: 获取老师陪练课设置
     * @param teacherId
     * @param courseMinutes
     * @param freeMinutes
     * @return com.yonge.cooleshow.biz.dal.entity.TeacherFreeTime
     * @author zx
     * @date 2022/3/25 10:25
     */
    TeacherFreeTime findOne(@Param("teacherId") Long teacherId,
                            @Param("courseMinutes") Integer courseMinutes,
                            @Param("freeMinutes") Integer freeMinutes);

    /**
    * @description: 修改默认配置
     * @param defaultFlag
    * @return void
    * @author zx
    * @date 2022/3/29 10:02
    */
    void updateDefaultFlag(@Param("defaultFlag") boolean defaultFlag, @Param("teacherId") Long teacherId);
}

