package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.UserOrder;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.vo.UserOrderVo;
import com.yonge.cooleshow.biz.dal.dto.search.OrderSearch;


public interface UserOrderDao extends BaseMapper<UserOrder>{
	/**
	 * 查询详情-通过id
     * @author liweifan
     * @date 2022-03-30 13:53:51
     * @return: com.yonge.cooleshow.biz.dal.vo.OrderVo
	 */
	UserOrderVo detailById(@Param("id") Long id);
	/**
	 * 查询详情-通过订单号
	 * @author liweifan
	 * @date 2022-03-30 13:53:51
	 * @return: com.yonge.cooleshow.biz.dal.vo.OrderVo
	 */
	UserOrderVo detailByOrderNo(@Param("orderNo") String orderNo);
	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-03-30 13:53:51
     * @return: com.yonge.cooleshow.biz.dal.vo.OrderVo
	 */
	List<UserOrderVo> selectPage(@Param("page") IPage page, @Param("param") OrderSearch order);
	
}