package com.yonge.cooleshow.biz.dal.dto.req;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yonge.cooleshow.biz.dal.enums.OrderTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 下单请求
 *
 * @Author: liweifan
 * @Data: 2022/3/31 14:55
 */
@ApiModel(value = "OrderReq对象", description = "下单请求")
public class OrderReq {
    @ApiModelProperty(value = "用户id ")
    private Long userId;
    @NotBlank(message = "订单名称不能为空")
    @ApiModelProperty(value = "订单名称 ", required = true)
    private String orderName;
    @ApiModelProperty(value = "订单描述信息 ")
    private String orderDesc;
    @NotNull(message = "订单类型不能为空")
    @ApiModelProperty(value = "订单类型:  VIP、开通会员  PRACTICE、陪练课购买  LIVE、直播课购买 VIDEO、视频课购买 MUSIC、单曲点播 ", required = true)
    private OrderTypeEnum orderType;
    @NotNull(message = "原价不能为空")
    @ApiModelProperty(value = "原价 ", required = true)
    private BigDecimal originalPrice;
    @NotNull(message = "预计价格不能为空")
    @ApiModelProperty(value = "预计价格 ", required = true)
    private BigDecimal expectPrice;
    @NotNull(message = "实际价格不能为空")
    @ApiModelProperty(value = "实际价格 ", required = true)
    private BigDecimal actualPrice;
    @NotNull(message = "优惠金额不能为空")
    @ApiModelProperty(value = "优惠金额 ", required = true)
    private BigDecimal couponAmount;
    @ApiModelProperty("用户备注 ")
    private String userNote;

    @ApiModelProperty(value = "业务id ")
    private Long bizId;
    @ApiModelProperty(value = "业务内容 ")
    private String bizContent;
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderName() {
        return orderName;
    }

    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }

    public String getOrderDesc() {
        return orderDesc;
    }

    public void setOrderDesc(String orderDesc) {
        this.orderDesc = orderDesc;
    }

    public OrderTypeEnum getOrderType() {
        return orderType;
    }

    public void setOrderType(OrderTypeEnum orderType) {
        this.orderType = orderType;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public String getBizContent() {
        return bizContent;
    }

    public void setBizContent(String bizContent) {
        this.bizContent = bizContent;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }

    public BigDecimal getExpectPrice() {
        return expectPrice;
    }

    public void setExpectPrice(BigDecimal expectPrice) {
        this.expectPrice = expectPrice;
    }

    public BigDecimal getActualPrice() {
        return actualPrice;
    }

    public void setActualPrice(BigDecimal actualPrice) {
        this.actualPrice = actualPrice;
    }

    public BigDecimal getCouponAmount() {
        return couponAmount;
    }

    public void setCouponAmount(BigDecimal couponAmount) {
        this.couponAmount = couponAmount;
    }

    public String getUserNote() {
        return userNote;
    }

    public void setUserNote(String userNote) {
        this.userNote = userNote;
    }
}
