package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.entity.TeacherStyleVideo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 教师风采视频表 服务类
 * @author liweifan
 * @date 2022-03-24
 */
public interface TeacherStyleVideoService extends IService<TeacherStyleVideo>  {
    /***
     *
     * @author liweifan
     * @param: userId
     * @updateTime 2022/3/24 14:34
     * @return: com.yonge.cooleshow.biz.dal.entity.TeacherStyleVideo
     */
    List<TeacherStyleVideo> selectListByUserId(Long userId);
    /***
     * 删除老师风采视频，留下oldIds
     * @author liweifan
     * @param: userId
     * @param: oldIds
     * @updateTime 2022/4/8 15:08
     * @return: java.lang.Integer
     */
    Integer removeByUserIdAndOldIds(Long userId, List<Long> oldIds);
    /***
     * 批量新增老师风采视频
     * @author liweifan
     * @param: createList
     * @updateTime 2022/4/8 15:18
     * @return: java.lang.Integer
     */
    boolean batchAddStyleVideo(List<TeacherStyleVideo> createList);
}