package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yonge.cooleshow.biz.dal.dao.TeacherFreeTimeDao;
import com.yonge.cooleshow.biz.dal.entity.TeacherFreeTime;
import com.yonge.cooleshow.biz.dal.service.TeacherFreeTimeService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.Objects;

/**
 * 老师可排课时间表(TeacherFreeTime)表服务实现类
 *
 * @author zx
 * @since 2022-03-25 10:04:27
 */
@Service("teacherFreeTimeService")
public class TeacherFreeTimeServiceImpl extends ServiceImpl<TeacherFreeTimeDao, TeacherFreeTime> implements TeacherFreeTimeService {

    private final static Logger log = LoggerFactory.getLogger(TeacherFreeTimeServiceImpl.class);

    @Override
    public TeacherFreeTimeDao getDao() {
        return this.baseMapper;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void upSet(TeacherFreeTime teacherFreeTime) {
        TeacherFreeTime oldTeacherFreeTime = baseMapper.findOne(teacherFreeTime.getTeacherId(),
                teacherFreeTime.getCourseMinutes(),
                teacherFreeTime.getFreeMinutes());
        //删除原有设置
        if(Objects.nonNull(oldTeacherFreeTime)){
            baseMapper.deleteById(oldTeacherFreeTime.getId());
        }
        //将其他配置改为非默认
        baseMapper.updateDefaultFlag(false,teacherFreeTime.getTeacherId());
        Date date = new Date();
        teacherFreeTime.setCreateTime(date);
        teacherFreeTime.setUpdateTime(date);
        baseMapper.insert(teacherFreeTime);
    }
}

