package com.yonge.cooleshow.student.controller;

import com.huifu.adapay.core.AdapayCore;
import com.huifu.adapay.core.util.AdapaySign;
import com.yonge.cooleshow.biz.dal.sdk.PaymentSdk;
import com.yonge.cooleshow.biz.dal.service.UserOrderService;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @Author: liweifan
 * @Data: 2022/3/11 18:16
 */
@RestController
@RequestMapping("/payment")
@Api(value = "付款接口", tags = "付款接口")
public class PaymentController {
    @Autowired
    private PaymentSdk paymentSdk;
    @Autowired
    private UserOrderService userOrderService;

/*    @ApiOperation(value = "订单付款")
    @PostMapping("/orderPay")
    public HttpResponseResult<Map<String, Object>> orderPay(@RequestBody PaymentReq param) {
        return HttpResponseResult.succeed(paymentSdk.executePayment(param));
    }*/

    @ApiOperation(value = "查询付款单")
    @GetMapping("/queryPayment")
    public HttpResponseResult<Map<String, Object>> queryPayment(String paymentId) throws Exception {
        return HttpResponseResult.succeed(paymentSdk.queryPayment(paymentId));
    }

    @ApiOperation(value = "微信支付获取openid")
    @GetMapping("/getOpenId")
    public HttpResponseResult<Map<String, Object>> getOpenId(String js_code) {
        return paymentSdk.getOpenId(js_code);
    }

    /***
     * 汇付回调
     * 问题：1、成功失败需要回执什么信息 2、回调url地址是否需要加入白名单
     * @author liweifan
     * @param: request
     * @updateTime 2022/3/11 18:35
     */
    @PostMapping("/callback")
    public void callback(HttpServletRequest request) {
        try {
            //验签传参data
            String data = request.getParameter("data");
            //验签传参sign
            String sign = request.getParameter("sign");
            //验签传参publicKey
            String publicKey = AdapayCore.PUBLIC_KEY;
            //验签
            boolean checkSign = AdapaySign.verifySign(data, sign, publicKey);
            if (checkSign) {
                //验签成功逻辑
                userOrderService.orderCallback(data);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
